Skip to main content
GET
/
v1
/
accounts
/
{accountId}
/
members
List account members and pending invites
curl --request GET \
  --url https://api.checklyhq.com/v1/accounts/{accountId}/members \
  --header 'Authorization: Bearer <token>'
{
  "members": [
    {
      "type": "member",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "email": "jsmith@example.com",
      "role": "OWNER",
      "status": "ACTIVE",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "isSupportMembership": true,
      "ssoEnabled": true,
      "mfaEnabled": true
    }
  ],
  "length": 1,
  "nextId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://checklyhq.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

accountId
string<uuid>
required

Query Parameters

Case-insensitive partial match against member name, member email, and invite email. Empty searches are ignored.

type
enum<string>

Filter by account member list item type.

Available options:
member,
invite
role
enum<string>

Filter by account role. Valid filters may produce no results for invites.

Available options:
OWNER,
ADMIN,
READ_WRITE,
READ_RUN,
READ_ONLY
status
enum<string>

Filter by member or invite status. Valid filters may produce no results for some item types.

Available options:
ACTIVE,
PENDING,
EXPIRED
limit
integer

Page length. Omitted returns all matching members and invites.

Required range: 1 <= x <= 100
nextId
string

Opaque cursor returned from a previous limited request. Only accepted with limit and the same query params.

Minimum string length: 1

Response

Successful

members
object[]
required
length
integer
required

Number of items returned in this page. This is not the total matching count.

Required range: x >= 0
nextId
string | null
required

Opaque cursor for the next page. Null means there are no more results.